import { AppModule } from "@shared";
export declare const ModuleProvider: ({ children, value }: {
    children: React.ReactNode;
    value: any;
}) => import("react/jsx-runtime").JSX.Element;
export default function useModule<T extends AppModule>(moduleName: string): T;
